//More information at: https://www.aeq-web.com/
//Version 1.0 | 03-DEC-2020

#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27,16,2);

const int PT1000_PIN = A0;
const float vt_factor = 1.88;
const float offset = 0;
float temp_c;


void setup() {
  lcd.init();                      // initialize the lcd 
  lcd.init();
  // Print a message to the LCD.
  lcd.backlight();

}
void loop() {
  int sensorvalue = analogRead ( PT1000_PIN );
  float voltage = sensorvalue * (5.0/ 1023.0);
  temp_c = ( ( ( voltage * 100) / vt_factor ) + offset );
  lcd.setCursor(2,0);
  lcd.print("Temp    Volt");
  lcd.setCursor(2,1);
  lcd.print(temp_c);
  lcd.setCursor(10,1);
  lcd.print(voltage);
  
  delay (500);
}
